PETSc version 3.17.4
Fix/Edit manual page

# DMPlexSetConeOrientation

Set the orientations on the in-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeOrientation(DM dm, PetscInt p, const PetscInt coneOrientation[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| coneOrientation | - An array of orientations Output Parameter:

### Notes

This should be called after all calls to DMPlexSetConeSize() and DMSetUp().

The meaning of coneOrientation is detailed in DMPlexGetConeOrientation().

### See Also

DMPlexCreate(), DMPlexGetConeOrientation(), DMPlexSetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

### Level

beginner

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages